1. freshfire83's Avatar
    I am done with Blackberry once my contacts up, I am getting the note 4.

    With the launch of the Passport, the P?9983, BlackBerry 10 OS 10.3,and Blend, it seemed like an appropriate time to clear up some confusion as to what you can and can?t use with your current BlackBerry 10 smartphone that may be in your hand.

    As you may remember from May of this year, BlackBerry let everyone know that the 10.3 OS update would not be making its way to current in-market devices.They have reconfirmed this at today?s event.This is due to the fact that BlackBerry 10 OS 10.3.1 was chosenas the next update for all BlackBerry 10 devices, not 10.3.

    Unfortunately, for a new program like Blend, you need at least BlackBerry 10.3 on your BlackBerry smartphone. This means unless you load up a 10.3 leak on your Z10, Q10, Q5, Z30, or Z3, you will not be able to use Blend until 10.3.1 is launched and approved by your carrier. If you pick up a new Passport, or P?9983, however, Blend will work without any issues.

    Again, this is nothing new, but it needed to be emphasized as we?ve seen countless number of people asking when 10.3 is going to be available for their device and/or why Blend isn?t working for them yet.

    Posted Via a Z10
    09-24-14 04:12 PM
  2. freshfire83's Avatar
    With the launch of the Passport, the P?9983, BlackBerry 10 OS 10.3,and Blend, it seemed like an appropriate time to clear up some confusion as to what you can and can?t use with your current BlackBerry 10 smartphone that may be in your hand.

    As you may remember from May of this year, BlackBerry let everyone know that the 10.3 OS update would not be making its way to current in-market devices.They have reconfirmed this at today?s event.This is due to the fact that BlackBerry 10 OS 10.3.1 was chosenas the next update for all BlackBerry 10 devices, not 10.3.

    Unfortunately, for a new program like Blend, you need at least BlackBerry 10.3 on your BlackBerry smartphone. This means unless you load up a 10.3 leak on your Z10, Q10, Q5, Z30, or Z3, you will not be able to use Blend until 10.3.1 is launched and approved by your carrier. If you pick up a new Passport, or P?9983, however, Blend will work without any issues.

    Again, this is nothing new, but it needed to be emphasized as we?ve seen countless number of people asking when 10.3 is going to be available for their device and/or why Blend isn?t working for them yet.



    Posted Via a Z10
    09-24-14 04:12 PM
  3. freshfire83's Avatar
    Damn you copy and paste.

    Posted Via a Z10
    09-24-14 04:13 PM
  4. skywolf007's Avatar
    BlackBerry Blend will be available later to older devices.
    I guess it will be supported on 10.3.1.

    BlackBerry OS 10 devices will all get upgraded to 10.3

    Posted via CB10
    09-24-14 04:19 PM
  5. Parrillas NY's Avatar
    NO man, just wait for the 10.3.1 the release is coming soon!!!
    09-24-14 04:22 PM
  6. southlander's Avatar
    Why do you need 10.3 if you'll get 10.3.1? Just so you can use it a couple of months beforehand?
    09-24-14 04:25 PM
  7. mad_mdx's Avatar
    Even if you load a leak it won't work.

    Why do you care? 10.3.1 will launch in November last I heard

    Posted via CB10
    09-24-14 04:25 PM
  8. southlander's Avatar
    Even if you load a leak it won't work.

    Why do you care? 10.3.1 will launch in November last I heard

    Posted via CB10
    Plus there are bound to be some leaks on here.
    09-24-14 04:26 PM
  9. serbanescu's Avatar
    Yeah, why wait a couple of months for the Blend while you can get it now on the Note 4 ...
    09-24-14 04:32 PM
  10. freshfire83's Avatar
    It's not the update its the lack of customer support for normal customers. I just want a smooth OS.

    Posted Via a Z10
    09-24-14 04:36 PM
  11. willm's Avatar
    I am done with Blackberry once my contacts up, I am getting the note 4.

    BlackBerry let everyone know that the 10.3 OS update would not be making its way to current in-market devices. They have reconfirmed this at today?s event. This is due to the fact that BlackBerry 10 OS 10.3.1 was chosen as the next update for all BlackBerry 10 devices, not 10.3.
    Um, you do realize there are hundreds of us running 10.3 leaks on Z10's, Q10's, etc. right? Been using it for weeks and it works just fine ...
    bluegreen1965 likes this.
    09-24-14 04:41 PM
  12. Lapwolf's Avatar
    Um, you do realize there are hundreds of us running 10.3 leaks on Z10's, Q10's, etc. right? Been using it for weeks and it works just fine ...
    He'd rather ***** and complain than load 10.3 on his Z10. Have fun with that Note 4...
    09-24-14 06:27 PM
  13. midnightdoom's Avatar
    Um, you do realize there are hundreds of us running 10.3 leaks on Z10's, Q10's, etc. right? Been using it for weeks and it works just fine ...
    Wish I could get it on my z30. But I can't figure out how with Mac.. oh well I will wait.. Yah one my friends was right pissed that in canada it's selling for 699 not 599 that they wanted to switch OS. I don't blame him though, all the websites including Crackberry kept going on about 599, don't most of the editors live in canada?

    I would rather see BlackBerry pushing these updates out themselves than through carriers. Carriers can do small updates themselves like they do with iPhone

    Posted via CB10
    09-24-14 07:29 PM

Similar Threads

  1. Sooo... No Verizon Passport version?!?
    By -RYknow in forum BlackBerry Passport
    Replies: 246
    Last Post: 07-23-15, 08:34 PM
  2. Q10 bricked, no led
    By HIGHLANDER in forum BlackBerry Q10
    Replies: 6
    Last Post: 10-05-14, 06:04 AM
  3. Does 10.3 support .ODF files?
    By King Dack in forum BlackBerry 10 OS
    Replies: 2
    Last Post: 10-01-14, 01:45 PM
  4. No indication of missed call or voicemail (10.2.2.1531)
    By hennesseystealth in forum BlackBerry Z10
    Replies: 5
    Last Post: 09-25-14, 02:40 PM
  5. Otterbox for Passport?
    By Dylanmichael603 in forum BlackBerry Passport
    Replies: 3
    Last Post: 09-24-14, 06:22 PM
LINK TO POST COPIED TO CLIPBOARD